org.jboss.jca.as.converters

## Class ConnectionFactoriesImpl

- java.lang.Object
- - org.jboss.jca.as.converters.ConnectionFactoriesImpl

- All Implemented Interfaces:
    ConnectionFactories

      public class ConnectionFactoriesImpl
      extends java.lang.Object
      implements ConnectionFactories

  A ConnectionFactoriesImpl .
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.ConnectionFactories

      `ConnectionFactories.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionFactoriesImpl(java.util.List<NoTxConnectionFactory> noTxConnectionFactory, java.util.List<TxConnectionFactory> txConnectionFactory)` ConnectionFactoriesImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<NoTxConnectionFactory>` | `getNoTxConnectionFactory()` Get the NoTxConnectionFactory
    `java.util.List<TxConnectionFactory>` | `getTxConnectionFactory()` Get the TxConnectionFactory
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFactoriesImpl

          public ConnectionFactoriesImpl(java.util.List<NoTxConnectionFactory> noTxConnectionFactory,
                                         java.util.List<TxConnectionFactory> txConnectionFactory)

      ConnectionFactoriesImpl
      Parameters:
        `noTxConnectionFactory` - noTxConnectionFactory
        `txConnectionFactory` - txConnectionFactory

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTxConnectionFactory

          public java.util.List<TxConnectionFactory> getTxConnectionFactory()

      Description copied from interface: `ConnectionFactories`
      Get the TxConnectionFactory
      Specified by:
        `getTxConnectionFactory` in interface `ConnectionFactories`
      Returns:
        the list of TxConnectionFactory

    - #### getNoTxConnectionFactory

          public java.util.List<NoTxConnectionFactory> getNoTxConnectionFactory()

      Description copied from interface: `ConnectionFactories`
      Get the NoTxConnectionFactory
      Specified by:
        `getNoTxConnectionFactory` in interface `ConnectionFactories`
      Returns:
        the list of NoTxConnectionFactory

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)